Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.trolltech.qt.core
Class Qt.PenJoinStyle

    java.lang.Object
      java.lang.Enum
          com.trolltech.qt.core.Qt.PenJoinStyle

All Implemented Interfaces:
  QtEnumerator, java.io.Serializable, java.lang.Comparable

Enclosing interface:
  Qt

    public static final class Qt.PenJoinStyle

extends java.lang.Enum
implements QtEnumerator

This enum type defines the pen join styles supported by Qt, i.e. which joins between two connected lines can be drawn using `QPainter`.

`Qt::BevelJoin` | `Qt::MiterJoin` | `Qt::RoundJoin`

See also:
  `QPen`.

See Also:
  Serialized Form

Field Summary
`static Qt.PenJoinStyle` | `BevelJoin` The triangular notch between the two lines is filled.
`static Qt.PenJoinStyle` | `MiterJoin` The outer edges of the lines are extended to meet at an angle, and this area is filled.
`static Qt.PenJoinStyle` | `MPenJoinStyle`
`static Qt.PenJoinStyle` | `RoundJoin` A circular arc between the two lines is filled.
`static Qt.PenJoinStyle` | `SvgMiterJoin` A miter join corresponding to the definition of a miter join in the {@link
Method Summary
`static Qt.PenJoinStyle` | `resolve(int value)` Returns the PenJoinStyle constant with the specified `int`.
`int` | `value()` This function should return an integer value for the enum values of the enumeration that implements this interface.
`static Qt.PenJoinStyle` | `valueOf(java.lang.String name)`
`static Qt.PenJoinStyle[]` | `values()`
Methods inherited from class java.lang.Enum
`clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`
Methods inherited from class java.lang.Object
`getClass, notify, notifyAll, wait, wait, wait`
Field Detail
### MiterJoin
    public static final Qt.PenJoinStyle MiterJoin
The outer edges of the lines are extended to meet at an angle, and this area is filled. ### BevelJoin
    public static final Qt.PenJoinStyle BevelJoin
The triangular notch between the two lines is filled. ### RoundJoin
    public static final Qt.PenJoinStyle RoundJoin
A circular arc between the two lines is filled. ### SvgMiterJoin
    public static final Qt.PenJoinStyle SvgMiterJoin
A miter join corresponding to the definition of a miter join in the SVG 1.2 Tiny specification. ### MPenJoinStyle
    public static final Qt.PenJoinStyle MPenJoinStyle
Method Detail
### values
    public static Qt.PenJoinStyle[] values()
### valueOf
    public static Qt.PenJoinStyle valueOf(java.lang.String name)
### value
    public int value()
This function should return an integer value for the enum values of the enumeration that implements this interface. Specified by: `value` in interface `QtEnumerator` ### resolve
    public static Qt.PenJoinStyle resolve(int value)
Returns the PenJoinStyle constant with the specified `int`.
Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD